QT       += core gui serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

msvc{
    QMAKE_CFLAGS += /utf-8
    QMAKE_CXXFLAGS += /utf-8
}

include($$PWD/3rdparty/CSerialPort/examples/CommQT/commqt.pri)

SOURCES += \
    baseConnection.cpp \
    connectionManager.cpp \
    connectionSettingWidget.cpp \
    main.cpp \
    mainwindow.cpp \
    mutilSerialConfigWidget.cpp \
    myComboBox.cpp \
    serialConfigWidget.cpp \
    serialConnection.cpp

HEADERS += \
    baseConnection.h \
    connectionManager.h \
    connectionSettingWidget.h \
    mainwindow.h \
    mutilSerialConfigWidget.h \
    myComboBox.h \
    serialConfigWidget.h \
    serialConnection.h

FORMS += \
    connectionSettingWidget.ui \
    mainwindow.ui \
    mutilSerialConfigWidget.ui \
    serialConfigWidget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    img.qrc

RC_ICONS = logo.ico
